// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga;

import static java.awt.Color.*;

import static org.makagiga.common.UI._;

import org.makagiga.common.*;

// !!!: recent items
// !!!: most often used items
/** The <b>Quick Start</b> panel. */
public final class QuickStart extends MPanel {

	// private

	private MURLButton showSidebarButton;
	private static QuickStart _instance;

	// public

	/**
	 * Constructs and returns the instance of the <b>Quick Start</b> panel.
	 */
	public static QuickStart getInstance() {
		if (_instance == null)
			_instance = new QuickStart();

		return _instance;
	}

	/**
	 * Shows the @b Sidebar toggle button.
	 * @param value If @c true the toggle button will be visible
	 */
	public void setShowSidebarButtonVisible(final boolean value) {
		showSidebarButton.setVisible(value);
	}

	// private

	private QuickStart() {
		setMargin(5);
		setVisible(false);

		// sidebar toggle button
		showSidebarButton = new MURLButton(_("Show the Sidebar (F9)")) {
			@Override
			protected void onClick() {
				MainWindow.getInstance().setSidebarVisible(true);
			}
		};
		addNorth(showSidebarButton);
		
		// beta version info
		MLabel betaInfo = new MLabel(_("Beta version. Work in progress."));
		betaInfo.setForeground(RED);
		addSouth(betaInfo);
	}

}
