// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.common;

/** A @c boolean property. */
public final class BooleanProperty extends Property<Boolean> {

	// public

	/**
	 * Constructs a new @c boolean property.
	 * The default value is @c false.
	 */
	public BooleanProperty() {
		this(false);
	}

	/**
	 * Constructs a new @c boolean property with value @p value.
	 */
	public BooleanProperty(final boolean value) {
		super(value);
	}

	public void no() { value = false; }

	public void set(final String value) {
		super.set(Boolean.parseBoolean(value));
	}

	public void toggle() { value = !value; }

	public void yes() { value = true; }

}
