// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.common;

import java.util.Date;
import javax.swing.SpinnerDateModel;

/** A date spinner (date/time editor). */
public class MDateSpinner extends MSpinner {

	// private

	private SpinnerDateModel model;

	// public

	/**
	 * Constructs a new date spinner
	 * with @c SpinnerDateModel and @c MSpinner.DateEditor.
	 */
	public MDateSpinner() {
		model = new SpinnerDateModel();
		setModel(model);
		setEditor(new MSpinner.DateEditor(this));
		setupEditor();
	}

	public Date getDate() {
		return model.getDate();
	}

}
