// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.common;

/** Dialog actions. */
public interface MDialogAction {

	// public

	/**
	 * A return codes.
	 */
	public enum Code {
		ACCEPTED, /**< Dialog accepted. */
		REJECTED /**< Dialog rejected. */
	};

	// public

	/**
	 * Invoked when user pressed @b Enter key,
	 * or clicked the @b OK button.
	 */
	public void accept();

	/**
	 * Invoked when user pressed @b Esc key,
	 * or clicked the @b Cancel button.
	 */
	public void reject();

}
