// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.common;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JRadioButton;

/** A radio button. */
public class MRadioButton extends JRadioButton implements Toggleable {

	// public

	/**
	 * Constructs a new radio button.
	 * @param text A text (&amp; - mnemonic)
	 */
	public MRadioButton(final String text) {
		super(text);
		addActionListener(new ActionListener() {
			public void actionPerformed(final ActionEvent e) {
				onToggle(isSelected());
			}
		} );
	}

	public void onToggle(final boolean isSelected) { }

	/**
	 * Overriden to handle mnemonics.
	 * @param text A new text (& - mnemonic)
	 */
	@Override
	public void setText(final String text) {
		super.setText(UI.setTextWithMnemonic(this, text));
	}

}
