// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.console.commands.screenshot;

import static org.makagiga.common.UI._;

import java.io.IOException;

import org.makagiga.MainWindow;
import org.makagiga.common.*;
import org.makagiga.console.Console;
import org.makagiga.console.ConsoleCommand;
import org.makagiga.console.ConsolePlugin;

/** The @b Console "screenshot" command. */
public final class Screenshot extends ConsolePlugin {

	// public

	public ConsoleCommand createCommand() {
		return new ConsoleCommand(description) {
			public void onCommand() {
				String name = "screenshot-" + DT.format(DT.now(), "yyyyMMdd-HHmmss");
				String path = FS.makeConfigPath("screenshots", FS.CREATE_DIR);
				path = FS.makePath(path, name + ".png");
				try {
					UI.createScreenshot(MainWindow.getInstance().getContentPane(), "png", path);
					Console.IO.printLine(_("Screenshot saved as \"%s\""), path);
				}
				catch (IOException exception) {
					Console.IO.printLine(_("Could not save file \"%s\""), path);
				}
			}
		};
	}

}
