// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.console.commands.secret;

import javax.swing.BorderFactory;
import javax.swing.border.BevelBorder;

import org.makagiga.common.*;
import org.makagiga.console.ConsoleCommand;
import org.makagiga.console.ConsolePlugin;

/** A <b>Secret</b> command. */
public final class Secret extends ConsolePlugin {

	// public

	/**
	 * @see org.makagiga.console.ConsolePlugin.createCommand
	 */
	public ConsoleCommand createCommand() {
		return new ConsoleCommand(description) {
			public void onCommand() {
				MLabel l = new MLabel(FS.getDefaultIcon("kdt"));
				l.setBorder(BorderFactory.createBevelBorder(BevelBorder.LOWERED));
				MMessage.Base base = MMessage.Base.create(
					null, // parent
					"\"MAKIA - Energia pod\u0105\u017ca za uwag\u0105\"", // label
					getCommand(), // title
					null, // icon name
					l, // view
					MDialog.OK_BUTTON | MDialog.MODAL
				);
				base.setResizable(false);
				base.exec();
			}
		};
	}

}
