// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.editors.todo;

import org.makagiga.common.*;

/** The @b Complete column editor. */
public final class CompleteEditor extends MComboBox<Integer> {

	// public

	/**
	 * Constructs a @b Complete column editor.
	 */
	public CompleteEditor() {
		for (int i = 0; i < 110; i += 10) // 0% to 100%
			addItem(i);

		setMaximumRowCount(11);
		setRenderer(new SimpleListCellRenderer<Integer>() {
			public void onRender(final Integer value) {
				setText(value + " %");
			}
		} );
	}

}
