// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.settings;

import static org.makagiga.common.UI._;

import org.makagiga.common.*;

/** The @b Options dialog. */
public final class AppSettings extends Settings {

	// public

	/**
	 * Constructs the @b Options dialog.
	 * @param parent A parent frame
	 */
	public AppSettings(final MFrame parent) {
		super(parent, _("Options"), STANDARD_DIALOG);

		addPage(new GeneralSettings());
		addPage(new LookAndFeelSettings());
		addPage(new AdvancedSettings());

		pack();
		exec();
	}

}
