// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.tree;

import java.awt.Component;
import javax.swing.JTree;
import javax.swing.tree.DefaultTreeCellRenderer;

import org.makagiga.MetaInfo;

/** The tree list cell renderer. */
public final class TreeListCellRenderer extends DefaultTreeCellRenderer {

	// public

	/**
	 * Returns the component to render a cell.
	 * Most properties are taken from MetaInfo.
	 * @param tree A tree
	 * @param value A tree list item
	 * @param selected @c true if item is selected
	 * @param expanded @c true if item (node) is expanded
	 * @param leaf @c true if item is a leaf
	 * @param row A row
	 * @param hasFocus @c true if item is focused
	 */
	@Override
	public Component getTreeCellRendererComponent(
		final JTree tree,
		final Object value,
		final boolean selected,
		final boolean expanded,
		final boolean leaf,
		final int row,
		final boolean hasFocus
	) {
		super.getTreeCellRendererComponent(
			tree,
			value,
			selected,
			expanded,
			leaf,
			row,
			hasFocus
		);
		TreeListItem item = (TreeListItem)value;
		item.getData().setupRenderer(this, item.getChildCount(), selected, expanded, hasFocus);

		return this;
	}

}
