// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.tree;

import java.awt.datatransfer.Transferable;
import javax.swing.JComponent;
import javax.swing.TransferHandler;

import org.makagiga.common.*;

/** A tree list item transfer handler. */
public final class TreeListTransferHandler extends TransferHandler {

	// public

	/**
	 * A dragged item.
	 */
	public static final Property<TreeListItem> draggedItem = new Property<TreeListItem>();

	// public

	/**
	 * Constructs a new transfer handler.
	 */
	TreeListTransferHandler() { }

	/**
	 * Returns @c COPY_OR_MOVE.
	 * @param c A component holding the data to be transferred
	 */
	@Override
	public int getSourceActions(final JComponent c) {
		return COPY_OR_MOVE;
	}

// TODO: 2.0: http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4816922
/*
	@Override
	public Icon getVisualRepresentation(final Transferable t) { return icon; }
*/

	// protected

	/**
	 * Returns a source for a data transfer.
	 * @param c A component holding the data to be transferred
	 */
	@Override
	protected Transferable createTransferable(final JComponent c) {
		return draggedItem.get();
	}

}
