#!/bin/sh

mkdir -p i18n
mkdir -p po

# create list of all .java files
find . -name "*.java" > po/list.tmp

# create translation template
xgettext \
	-f po/list.tmp \
	-o po/makagiga.pot \
	-k_ \
	--force-po \
	--language=Java

# merge "po/*.po" and compile to "i18n/*.class" file
for i in po/*.po; do
	if [ -f $i ]; then
		msgmerge $i po/makagiga.pot -o $i
		msgfmt \
			$i \
			--java2 \
			-d i18n \
			-l `basename $i .po` \
			-r Messages
	fi
done

rm -f po/list.tmp
