#!/bin/sh

DESTINATION_FILE=""
DESTINATION_SUBDIR=""

function m_copy()
{
	S="${SOURCE}/32x32/${1}.png"
	D="${DESTINATION}/${DESTINATION_SUBDIR}${DESTINATION_FILE}"
	echo "Copying '${S}' to '${D}'..."
	cp "${S}" "${D}"
	chmod -x "${D}"
}

function m_import()
{
	DESTINATION_FILE=`basename ${1}`
	DESTINATION_SUBDIR=""
	if [ ${DESTINATION_FILE} == "addbookmark.png" ]; then m_copy "actions/bookmark_add"; fi
	if [ ${DESTINATION_FILE} == "back.png" ]; then m_copy "actions/back"; fi
	if [ ${DESTINATION_FILE} == "backup.png" ]; then m_copy "actions/revert"; fi
	if [ ${DESTINATION_FILE} == "browser.png" ]; then m_copy "actions/contents"; fi
	if [ ${DESTINATION_FILE} == "comment.png" ]; then m_copy "actions/leftjust"; fi
	if [ ${DESTINATION_FILE} == "console.png" ]; then m_copy "apps/terminal"; fi
	if [ ${DESTINATION_FILE} == "designer.png" ]; then m_copy "actions/wizard"; fi
	if [ ${DESTINATION_FILE} == "editor.png" ]; then m_copy "actions/view_text"; fi
	if [ ${DESTINATION_FILE} == "find.png" ]; then m_copy "actions/find"; fi
# !!!: if [ ${DESTINATION_FILE} == "grid.png" ]; then m_copy "actions/grid"; fi
	if [ ${DESTINATION_FILE} == "help.png" ]; then m_copy "actions/help"; fi
	if [ ${DESTINATION_FILE} == "locate.png" ]; then m_copy "actions/bottom"; fi
	if [ ${DESTINATION_FILE} == "locked.png" ]; then m_copy "actions/encrypted"; fi
	if [ ${DESTINATION_FILE} == "misc.png" ]; then m_copy "actions/misc"; fi
	if [ ${DESTINATION_FILE} == "newfile.png" ]; then m_copy "actions/filenew"; fi
	if [ ${DESTINATION_FILE} == "plugin.png" ]; then m_copy "actions/connect_creating"; fi
	if [ ${DESTINATION_FILE} == "print.png" ]; then m_copy "actions/fileprint"; fi
	if [ ${DESTINATION_FILE} == "quit.png" ]; then m_copy "actions/exit"; fi
	if [ ${DESTINATION_FILE} == "rename.png" ]; then m_copy "actions/edit"; fi
	if [ ${DESTINATION_FILE} == "saveall.png" ]; then m_copy "actions/save_all"; fi
	if [ ${DESTINATION_FILE} == "stop.png" ]; then m_copy "actions/stop"; fi
	if [ ${DESTINATION_FILE} == "tree.png" ]; then m_copy "actions/view_tree"; fi
	if [ ${DESTINATION_FILE} == "unlocked.png" ]; then m_copy "actions/decrypted"; fi
	if [ ${DESTINATION_FILE} == "update.png" ]; then m_copy "actions/reload"; fi

	DESTINATION_SUBDIR="ui/"
	if [ ${DESTINATION_FILE} == "cancel.png" ]; then m_copy "actions/button_cancel"; fi
	if [ ${DESTINATION_FILE} == "clear.png" ]; then m_copy "actions/editclear"; fi
	if [ ${DESTINATION_FILE} == "clearright.png" ]; then m_copy "actions/locationbar_erase"; fi
	if [ ${DESTINATION_FILE} == "close.png" ]; then m_copy "actions/fileclose"; fi
	if [ ${DESTINATION_FILE} == "configure.png" ]; then m_copy "actions/configure"; fi
	if [ ${DESTINATION_FILE} == "copy.png" ]; then m_copy "actions/editcopy"; fi
	if [ ${DESTINATION_FILE} == "cut.png" ]; then m_copy "actions/editcut"; fi
	if [ ${DESTINATION_FILE} == "delete.png" ]; then m_copy "actions/editdelete"; fi
	if [ ${DESTINATION_FILE} == "detailedview.png" ]; then m_copy "actions/view_detailed"; fi
	if [ ${DESTINATION_FILE} == "error.png" ]; then m_copy "actions/messagebox_critical"; fi
	if [ ${DESTINATION_FILE} == "file.png" ]; then m_copy "mimetypes/unknown"; fi
	if [ ${DESTINATION_FILE} == "floppy.png" ]; then m_copy "devices/3floppy_unmount"; fi
	if [ ${DESTINATION_FILE} == "folder.png" ]; then m_copy "filesystems/folder"; fi
	if [ ${DESTINATION_FILE} == "hdd.png" ]; then m_copy "devices/hdd_unmount"; fi
	if [ ${DESTINATION_FILE} == "home.png" ]; then m_copy "actions/gohome"; fi
	if [ ${DESTINATION_FILE} == "info.png" ]; then m_copy "actions/messagebox_info"; fi
	if [ ${DESTINATION_FILE} == "multicolumnview.png" ]; then m_copy "actions/view_multicolumn"; fi
	if [ ${DESTINATION_FILE} == "newfolder.png" ]; then m_copy "actions/folder_new"; fi
	if [ ${DESTINATION_FILE} == "ok.png" ]; then m_copy "actions/button_ok"; fi
	if [ ${DESTINATION_FILE} == "paste.png" ]; then m_copy "actions/editpaste"; fi
	if [ ${DESTINATION_FILE} == "question.png" ]; then m_copy "actions/help"; fi
	if [ ${DESTINATION_FILE} == "redo.png" ]; then m_copy "actions/redo"; fi
	if [ ${DESTINATION_FILE} == "undo.png" ]; then m_copy "actions/undo"; fi
	if [ ${DESTINATION_FILE} == "up.png" ]; then m_copy "actions/up"; fi

	# NOTE: labels are not themeable
}

function m_usage()
{
	echo
	echo "Import an icon theme."
	echo "Usage: ./tools/importicontheme.sh THEME_DIR_NAME OUTPUT_DIRECTORY"
	echo
}

DESTINATION="${2}"

if [[ -z "${1}" || -z "${DESTINATION}" ]]; then
	m_usage
	exit 1
fi

# init source dir
SOURCE="/usr/share/icons/${1}"
if [ ! -d "${SOURCE}" ]; then
	echo "ERROR: Source directory does not exist: '${SOURCE}'"
	exit 1
fi

# init destination dir
mkdir -p "${DESTINATION}/ui"
if [ ! -d "${DESTINATION}" ]; then
	echo "ERROR: Destination directory does not exist: '${DESTINATION}'"
	exit 1
fi

for f in ./images/*.png ./images/ui/*.png; do
	m_import "${f}"
done
